Trusted Contributor.. yong-aik.seah@h Trusted Contributor..
Trusted Contributor..
1905 views

Unable to install new Arcsight connector linux64 - JRE libraries are missing or not compatible

Jump to solution

Hi, I had a RHEL 7.2 machine that are installed and running three arcsight connector instances today. It had been setup 6 months ago.  i need a new instance of syslog daemon conenctor recently but when i try to run the same installer on it using cmd;

./ArcSight-7.5.0.7983.0-Connector-Linux64.bin -i console

IBUT t always get aborted with error " JRE libraries are missing or not compatible"

I am running that command as root and also ensure /tmp having executable access rights and sufficient space (~15GB free). But it still won;t let me run the installer? I already set selinux to disable but it also don't help.

Can anyone help me on this problem? Is that ways to find out what cause the error? which log files should i look into?

Why i am able to run that same installer three time successfuilly previously but not now on the same machine?

Thanks.

 

Labels (1)
0 Likes
1 Solution

Accepted Solutions
Trusted Contributor.. yong-aik.seah@h Trusted Contributor..
Trusted Contributor..

Re: Unable to install new Arcsight connector linux64 - JR...

Jump to solution

I managed to fix the issue after getting a clue "java cannot execute permission denied"  using strace tool. The binary and script extracted by the Arcsight connector installer was placed in /tmp which was denied from execution because that mount point are marked with "noexec" option. as observed with cat /proc/mounts.

It turned out that our security folk configured the /tmp mount point with option "noexec" recently as per hardening requirement. After remounting the /tmp without the "noexec" option, the Arcsight installer are able to run successfully now. Thanks.

4 Replies
Respected Contributor.. aking Respected Contributor..
Respected Contributor..

Re: Unable to install new Arcsight connector linux64 - JR...

Jump to solution

Try running these commands to pull down the packages you need:

yum install glibc.i686
yum install unzip

Cheers! -A

0 Likes
Trusted Contributor.. yong-aik.seah@h Trusted Contributor..
Trusted Contributor..

Re: Unable to install new Arcsight connector linux64 - JR...

Jump to solution
Thanks, tried that earier too.. but did not fix the issue.
0 Likes
Trusted Contributor.. yong-aik.seah@h Trusted Contributor..
Trusted Contributor..

Re: Unable to install new Arcsight connector linux64 - JRE libraries are missing or not compatible

Jump to solution
Managed to fix the issue. It turned out that the /tmp was mounted with noexec option.
0 Likes
Trusted Contributor.. yong-aik.seah@h Trusted Contributor..
Trusted Contributor..

Re: Unable to install new Arcsight connector linux64 - JR...

Jump to solution

I managed to fix the issue after getting a clue "java cannot execute permission denied"  using strace tool. The binary and script extracted by the Arcsight connector installer was placed in /tmp which was denied from execution because that mount point are marked with "noexec" option. as observed with cat /proc/mounts.

It turned out that our security folk configured the /tmp mount point with option "noexec" recently as per hardening requirement. After remounting the /tmp without the "noexec" option, the Arcsight installer are able to run successfully now. Thanks.

The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.